<?php
	// include helper functions
	include "wgts_functions.php";

	// include channel list
	include "wgts_channels.php";

	$color = "#000000";

	// link to STS status overview
	placeTextWithWebsiteLink(0, 1130, "STS", 140, 40, $color, "STS Status Overview", "../");

	// link to DPS status overview
	placeTextWithWebsiteLink(153, 1480, "DPS", 70, 6, $color, "DPS Status Overview", "http://bora-dps.kaas.kit.edu/");
	// if DPS magnetic field is ramped, show warning on WGTS status monitor
	$thresDPS = 0.1; // magnet B in T
	$tol = 180; // hall sensor B in mT 55
	//$cali = array( 800, -800, 800, -800, 800, -800, 808, -769, 736, -778 );
	// calibration from M. Erhard
	$cali = array( 760, -760, 760, -760, 760, -760, 808, -769, 736, -778 );
	$DPSramped = "false";

	for ($index = 1; $index <= 5; $index++)
	{
		$value = ( (5.5 * $adeiValue[0][2*($index-1)] / $cali[2*($index-1)]) + (5.5 * $adeiValue[0][1 + 2*($index-1)] / $cali[1 + 2*($index-1)]) ) / 2.0 ;
		if ( abs($value)>$thresDPS ) 
		{
			$DPSramped = "true";
		}
	}
	if ( $DPSramped == "true" )
	{
		$color = "#FF0000";
		placeText(100, 1480, "Magnets On", 30, 5, $color);
	}else{
		placeText(100, 1480, 'Magnets Off', 30, 5, $color);
	}
	$color = "#000000";	// reset color to black

	// link to alternative WGTS status overview
	placeTextWithWebsiteLink(580, 5, "WGTS tech", 200, 6, $color, "Technical WGTS Status Overview", "https://bora-wgts.kaas.kit.edu/");
	// link to WGTS magnet status overview
	placeTextWithWebsiteLink(620, 30, "Magnets", 70, 6, $color, "WGTS Magnet Status Overview", "https://bora-mcs.kaas.kit.edu/");
	
	// LHe and LN2 supply
	for ( $ii=2; $ii <= 3; $ii++)
	{
		$Level = $adeiValue[$ii][0]/100;
		$posXPic = 506;	// 506 for LHe, 506+445 for LN
		$posYPic = 106;
		$TankPic = "WGTS-Schema-";
		$posXLevel = 690;	// 700 for LHe, 700+445-155 for LN
		$posYLevel = 180;
		$posXPres = $posXLevel;	// 700 for LHe, 700+445-155 for LN
		$posYPres = 150;
		$posXTemp = $posXPres;	// 700 for LHe, 700+445-155 for LN
		$posYTemp = 120;
		if ( $ii == 2 ) 
		{
			$TankPic = $TankPic."LN";
			$posXPic += 445;
			$posXPres += 445-155;
			$posXTemp = $posXPres;
			$posXLevel = $posXPres;
			$title = "LN2 buffer vessel";
		}else if ( $ii ==3 )
		{
			$TankPic = $TankPic."LHe";
			$title = "LHe buffer vessel";
		}
		
		if ( $Level>=0.0 && $Level<0.05 )
		{
			placePicOrig($posYPic, $posXPic, $TankPic."0".".png", $title);
		}else if ( $Level>=0.05 && $Level<0.40 )
		{
			placePicOrig($posYPic, $posXPic, $TankPic."25".".png", $title);
		}else if ( $Level>=0.40 && $Level<0.60 )
		{
			placePicOrig($posYPic, $posXPic, $TankPic."50".".png", $title);
		}else if ( $Level>=0.60 && $Level<0.95 )
		{
			placePicOrig($posYPic, $posXPic, $TankPic."75".".png", $title);
		}else if ( $Level>=0.95 && $Level<=1.00 )
		{
			placePicOrig($posYPic, $posXPic, $TankPic."100".".png", $title);
		}
		// Level of LHe / LN2 buffer vessel
		$level = sprintf('%.1F', $adeiValue[$ii][0])."%";
		placeTextWithLink($posYLevel, $posXLevel, $level, 70, 5, $color, $KatrinNumber[$ii][0], $adeiChannel[$ii][0]);
		// Pressure of LHe / LN2 buffer vessel
		$pres = sprintf('%.1F', $adeiValue[$ii+2][0])." bar";
		placeTextWithLink($posYPres, $posXPres, $pres, 80, 5, $color, $KatrinNumber[$ii+2][0], $adeiChannel[$ii+2][0]);
		// Temperature of LHe / LN2 buffer vessel
		$temp = sprintf('%.1F', $adeiValue[$ii+15][0])." K";
		placeTextWithLink($posYTemp, $posXTemp, $temp, 80, 5, $color, $KatrinNumber[$ii+15][0], $adeiChannel[$ii+15][0]);
		
	}

	// DPS1-R beamtube temperature
	$posX = 100;
	$posY = 400;
	for ($ii = 0; $ii < sizeof($adeiValue[6]); $ii++)
	{
		if ( $ii&1 )	// odd index
		{
			$posY = 379;
		}else	// even index
		{
			$posY = 415;
			$posX = $ii*36;
		}
		$temp = sprintf('%.1F', $adeiValue[6][$ii])." K";
		placeTextWithLink($posY, $posX+95, $temp, 60, 2, $color, $KatrinNumber[6][$ii], $adeiChannel[6][$ii]);
	}
	for ($ii = 0; $ii < sizeof($adeiValue[7]); $ii++)
	{
		if ( $ii&1 )	// odd index
		{
			$posY = 379;
		}else	// even index
		{
			$posY = 415;
			$posX = $ii*36;
		}
		$temp = sprintf('%.1F', $adeiValue[7][$ii])." K";
		placeTextWithLink($posY, $posX+315, $temp, 60, 2, $color, $KatrinNumber[7][$ii], $adeiChannel[7][$ii]);
	}
	
	// Source beamtube temperature
	for ($ii = 0; $ii < sizeof($adeiValue[8]); $ii++)
	{
		if ( $ii&1 )	// odd index
		{
			$posY = 379;
		}else	// even index
		{
			$posY = 415;
			$posX = $ii*53;
		}
		//if ( $ii == 2 ) continue;	// 200-RTP-3-5109 shows large variations
		$temp = sprintf('%.1F', $adeiValue[8][$ii])." K";
		placeTextWithLink($posY, 980-$posX, $temp, 60, 2, $color, $KatrinNumber[8][$ii], $adeiChannel[8][$ii]);
	}

	// DPS1-F beamtube temperature
	for ($ii = 0; $ii < sizeof($adeiValue[9]); $ii++)
	{
		if ( $ii&1 )	// odd index
		{
			$posY = 379;
		}else	// even index
		{
			$posY = 415;
			$posX = $ii*36;
		}
		if ( $ii == 2 ) continue;	// 200-RTP-3-7101 shows constantly 31.6 K
		$temp = sprintf('%.1F', $adeiValue[9][$ii])." K";
		placeTextWithLink($posY, $posX+1077, $temp, 60, 2, $color, $KatrinNumber[9][$ii], $adeiChannel[9][$ii]);
	}
	for ($ii = 0; $ii < sizeof($adeiValue[10]); $ii++)
	{
		if ( $ii&1 )	// odd index
		{
			$posY = 379;
		}else	// even index
		{
			$posY = 415;
			$posX = $ii*36;
		}
		$temp = sprintf('%.1F', $adeiValue[10][$ii])." K";
		placeTextWithLink($posY, $posX+1297, $temp, 60, 2, $color, $KatrinNumber[10][$ii], $adeiChannel[10][$ii]);
	}
	
	// Isolation vakuum
	placeText(612, 700, "Isolation vacuum", 200, 4, $color);
	$vak1 = sprintf('%.1e', $adeiValue[11][0])." mbar";
	placeTextWithLink(612, 460, $vak1, 100, 4, $color, $KatrinNumber[11][0], $adeiChannel[11][0]);
	$vak2 = sprintf('%.1e', $adeiValue[11][1])." mbar";
	placeTextWithLink(612, 1050, $vak2, 100, 4, $color, $KatrinNumber[11][1], $adeiChannel[11][1]);

	// Magnet temperature
	$MagnetName = array ( "M5", "M4", "M1", "M2", "M3", "M7", "M6" );
	for ($ii = 0; $ii < sizeof($adeiValue[12]); $ii++)
	{
		$posY = 297;
		$posX = $ii*220;
		if ($ii==2) $posX=$ii*235;
		if ($ii==3) $posX=$ii*210;
		if ($ii==4) $posX=$ii*200;
		if ($ii>=5) $posX=$ii*211;
		$temp = sprintf('%.1F', $adeiValue[12][$ii])." K";
		$bgcolor="#FFFFFF";
		$textcolor="#000000";
		placeBoxTextWithLink($posY, $posX+140, $temp, 50, 3, $bgcolor, $textcolor, $KatrinNumber[12][$ii], $adeiChannel[12][$ii]);
		placeText($posY+185, $posX+140, $MagnetName[$ii], 50, 5, $color);
	}
	// Magnet currents / B field
	for ($ii = 13; $ii <=15; $ii++)
	{
		if ($ii==13) {$posX=400; $Nl=9280;} else if ($ii==14) {$posX=810; $Nl=9289;} else if ($ii==15) {$posX=1200; $Nl=21852;}
		// Magnet currents
		placeTextWithLink(250, $posX-18, sprintf('%.1F', $adeiValue[$ii][0])." A", 80, 4, $color, $KatrinNumber[$ii][0], $adeiChannel[$ii][0]);
		$Bfield = 1.26e-6 * $adeiValue[$ii][0] * $Nl;	// mu0 * I * N/l
		placeText(250, $posX+50, "<--> ".sprintf('%.1F', $Bfield)." T", 80, 4, $color);
	}
	// Inner shield (27 K)
	for ($ii = 0; $ii < sizeof($adeiValue[16]); $ii++)
	{
		if ( $ii&1 )	// odd index
		{
			$posY = 337;
		}else	// even index
		{
			$posY = 455;
			$posX = $ii*110;
			if ( $ii==6 ) $posX = $ii*110+150;
			if ( $ii>=8 ) $posX = $ii*110+175;
		}
		$temp = sprintf('%.1F', $adeiValue[16][$ii])." K";
		placeTextWithLink($posY, $posX+130, $temp, 60, 2, $color, $KatrinNumber[16][$ii], $adeiChannel[16][$ii]);
	}
	// M5, M6 magnetic dipoles
	for ($ii = 19; $ii <=20; $ii++)
	{
		if ($ii==19) {$posX=60; $coeff=2.1e-3; $Nl=9280; $Bfieldz=1.26e-6*$adeiValue[13][0]*$Nl;} else if ($ii==20) {$posX=1330; $coeff=1.96e-3; $Nl=21852; $Bfieldz=1.26e-6*$adeiValue[15][0]*$Nl;}
		placeText(240, $posX, "Ix= ", 80, 3, $color);
		placeText(260, $posX, "Iy= ", 80, 3, $color);
		$Bfieldz = 1.26e-6 * $adeiValue[$ii][0] * $Nl;	// mu0 * I * N/l
		for ($jj = 0; $jj<=1; $jj++)
		{
			if (abs($Bfieldz)>0.1) {$Shift = $coeff * $adeiValue[$ii][$jj] * 0.755 / $Bfieldz;} else {$Shift=0.0;}
			//$Shift = $coeff * 97 * 0.755 / 3.6;
			placeText(240+$jj*20, $posX+80, " <--> ".sprintf('%.1F', $Shift*1e+2)." cm", 140, 3, $color);
			placeTextWithLink(240+$jj*20, $posX+55, sprintf('%.1F', $adeiValue[$ii][$jj])." A", 60, 3, $color, $KatrinNumber[$ii][$jj], $adeiChannel[$ii][$jj]);
		}
	}
        // throughput & column density
        $Q = ($adeiValue[23][0]+3.2 ) * 1.0;
	$Qtext = sprintf('%.1f', $Q)." sccm";
	placeTextWithLink(700, 1200, "q = ".$Qtext, 150, 4, $color, $KatrinNumber[23][0], $adeiChannel[23][0]);
        $Q1 = $Q *  0.01689189;
        $Q1text = sprintf('%.1f', $Q1)." mbar l/s";
	placeText(725, 1200, "q = ".$Q1text, 150, 4, $color);
        $Ntext = sprintf('%.1e', GetColDens($Q1))." 1/m^2";
        placeText(750, 1200, "N = ".$Ntext, 150, 4, $color);
?>
